Redmine - Defect #5114

New issue statuses not showing up in old workflows
2010-03-18 05:56 - James Turnbull

Status: Reopened Start date: 2010-03-18
Priority: High Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Fixed Affected version:

Description

In trunk (r3596) if | add a new issue status it does not appear in the Administrator -> Workflow work flow check-box forest for each
trunk. If | create a new tracker then the new issue status is present but old tracker do not get the new status.

History

#1 - 2010-03-18 20:20 - Jean-Philippe Lang

Uncheck 'Only display statuses that are used by this tracker' on the workflow screen and click 'Edit'.

#2 - 2010-03-18 22:52 - James Turnbull

- Status changed from New to Resolved

Totally missed that setting. Must be blind. :)

Thanks JP.

#3 - 2010-03-18 23:09 - Felix Schafer
- Status changed from Resolved to Closed

- Resolution set to Fixed

#4 - 2010-06-27 00:27 - Raymond Chandler

- Status changed from Closed to Reopened

This setting also tripped me up. | spent an hour looking for the permissions that link workflows to issue statuses and roles. I'd like to request a feature
change.

Anytime you create new status you should have the system uncheck the "Only display statuses that are used by this tracker" in the workflow tab, for
all workflows that could be affected by the new status. In this way you will force the user to filter out unused statues but will not confuse the user by
hiding the newly created status.

#5 - 2010-06-27 00:34 - Jean-Baptiste Barth

An other solution may be to change a bit the label of the checkbox. For lambda users (and | suddenly feel like a lambda user here..), it may not be
very clear how trackers and statuses are linked, so at first sight they don't really understand the meaning of this checkbox. Something like "Display all
statuses" (unchecked by default) might be clearer.

#6 - 2010-07-02 14:37 - Jay Man

Agreed just spent a ton of time, trying to figure this one out too, very unclear.

#7 - 2011-03-23 17:06 - Adam Pike

Surely for this feature to make any sense, there needs to be 'Tracker' selection boxes to check on the 'Status' settings screen. Then on the workflow
screen, what ever "Tracker' selection you make from the drop down would determine whether or not you see your new 'Status'.

#8 - 2012-02-10 09:06 - Daniel Albuschat

Me, too ;)

Without the pointer in this ticket | think | might not have found out why my statuses did not show up.

#9 - 2013-06-17 18:39 - Eric Palmitesta
https://www.redmine.org/projects/redmine/repository/svn/revisions/3596

Same here. Posting not so much to propose a solution, but to reinforce that there is a problem.
